System Requirements

Before you begin your installation, carefully review the system requirements to understand operating system, database, browser, and JDK support.

Components included in CEM 1.2.0

  • EFM 1.2.0
  • MiNiFi Java Agent 0.6.0
  • MiNiFi C++ 0.7.0
  • NiFi Registry 0.5.0

Operating System Support

Operating System Version
RHEL/CentOS 7.0, 7.1, 7.2, 7.3, 7.4, 7.5, 7.6, 7.7
Debian 9
Ubuntu 16.04, 18.04
Windows 8, 10, Server 2012, Server 2012 R2, Server 2016, Server 2019

JDK Support

JDK Version
OpenJDK JDK8
Oracle JDK JDK8

Supported Databases

Database Version
PostgreSQL 9.6
MySQL 5.6, 5.7

Browser Support

Browser Version
Chrome >=76.0 (latest version 80.0 at time of release)
Firefox >=68.0 (latest version 72.0 at time of release)